#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "myserver.h"
#include <QUdpSocket>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void on_pushButton_clicked();
    void on_upd_received();

private:
    Ui::MainWindow *ui;
    MyServer server;
    int started=0;
    QUdpSocket *udpSocket;
    QString getHostIp();
    QString getHostName();
};

#endif // MAINWINDOW_H
