package tech.xiongweixp.pptassistant

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.BaseAdapter
import android.widget.TextView

class IpListAdapter(context: Context, private val lists: List<HostModel>): BaseAdapter() {
    private var layoutInflater: LayoutInflater?=null

    init{
        layoutInflater= LayoutInflater.from(context)
    }

    override fun getItem(position: Int): Any = lists[position]

    override fun getItemId(position: Int): Long = position.toLong()

    override fun getCount(): Int = lists.size

    override fun getView(position: Int, convertView: View?, parent: ViewGroup?): View {
        val view  =  layoutInflater?.inflate(R.layout.itemlayout,null)
        val ip_text =  view?.findViewById<TextView>(R.id.ip_text)
        val name_text  =  view?.findViewById<TextView>(R.id.name_text)
        ip_text?.text = lists[position].ip
        name_text?.text =  lists[position].name
        return view!!
    }
}